using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("ErrorLogs")]
    public class ErrorLog
    {
        [Column("ErrorLogID")]
        public int ErrorLogID { get; set; }

        [Column("Message")]
        public string Message { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("Severity")]
        public string? Severity { get; set; }

        [Column("Exception")]
        public string? Exception { get; set; }

        [Column("Stacktrace")]
        public string? Stacktrace { get; set; }

        [Column("ErrorLog_UID")]
        public Guid? ErrorLog_UID { get; set; }
    }
}